.card-blog {
    display: flex;
    flex-flow: column nowrap;
    gap: 16px;
    background: var(--color-white);
    padding: 16px;
    border-radius: 32px;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.card-blog__img {
    width: 100%;
    height: auto;
    aspect-ratio: 4/3;
    object-fit: cover;
    border-radius: 32px;
}

.card-blog__text {
    flex: 1;
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    gap: 24px;
}

.card-blog__text-content {
    display: grid;
    gap: 8px;
}

.card-blog:hover {
    background: var(--color-grey-light);
    box-shadow: 3px 4px 16px 0 rgba(0, 0, 0, 0.10);
}